/*
Facilitates array of onload events to be fired on window load.
*/
var onload_handler = {

	fns : new Array(),
	
	add : function(fn)
	{
		onload_handler.fns[onload_handler.fns.length] = fn;
	},

	run : function()
	{
		for(i=0;i<onload_handler.fns.length;i++){
			setTimeout(onload_handler.fns[i],1);//Note expects function as full string e.g. "my_fn()" or "my_fn(a,b)"
		}
	}
}

window.onload = onload_handler.run;//Only window.onload handler

/*
Assign handlers based on styles, and assign dynamic event handlers
*/
var event_assign = 
{
	by_class : function(tag_name,class_name,function_name,handler_name)
	{
		var tags = document.getElementsByTagName(tag_name);
		for(var i=0;i<tags.length;i++)
		{
			if(tags[i].className.indexOf(class_name) != -1)
				eval("tags[i]."+handler_name+"="+function_name);
		}
	},

	by_id : function(id_name,function_name,handler_name)
	{			
		if(document.getElementsByTagName(id_name))
			eval("document.getElementById('"+id_name+"')."+handler_name+"="+function_name);
	}
}

/*
Common style function
*/
function getStyle(el,styleProp)
{
	var s = '';
	if (el.currentStyle)
		var s = el.currentStyle[styleProp];
	else if (window.getComputedStyle)
		var s = document.defaultView.getComputedStyle(el,null).getPropertyValue(styleProp);
	return s;
}

/*
Get element by ID
*/
function dg(el)
{
	return document.getElementById(el);
}

/*
Cookies
*/
var cookies = {

	nspace : 'pirsa_',

	set : function(name,value) {
		var date = new Date();
		date.setTime(date.getTime() + (21*24*60*60*1000));
		var expires = "; expires=" + date.toGMTString();
		document.cookie = cookies.nspace + name + "=" + value + expires + "; path=/";
	},

	get : function(name) {
		var name_eq = cookies.nspace + name + "=";
		var ca = document.cookie.split(';');
		for(var i=0;i < ca.length;i++)
		{
			var c = ca[i];
			while (c.charAt(0)==' ')
				c = c.substring(1,c.length);
			if (c.indexOf(name_eq) == 0) 
				return c.substring(name_eq.length,c.length);
		}
		return '';
	},

	drop : function (name) {
		document.cookie = cookies.nspace + name + "=" + value + "; expires=Thu, 01 Jan 1970 12:00:00 GMT; path=/";
	}
}

/*
Tests if variable has beend defined or not
*/
function isset(varname)
{
	return(typeof(window[varname])!='undefined');
}
